Package org.eclipse.graphiti.pattern.config

# Interface IColorConfiguration

All Superinterfaces:
  `IPatternConfiguration`

public interface IColorConfiguration extends IPatternConfiguration
The Interface IColorConfiguration.

## Method Summary

Modifier and Type
Method
Description
`IColorConstant`
`getBackgroundColor()`
Gets the background color.
`IColorConstant`
`getForegroundColor()`
Gets the foreground color.
`IColorConstant`
`getTextColor()`
Gets the text color.
`double`
`getTransparency()`
Gets the transparency.
`void`
`setBackgroundColor(IColorConstant color)`
Sets the background color.
`void`
`setForegroundColor(IColorConstant color)`
Sets the foreground color.
`void`
`setTextColor(IColorConstant color)`
Sets the text color.
`void`
`setTransparency(double transparency)`
Sets the transparency.

## Method Details

### getBackgroundColor

IColorConstant getBackgroundColor()
Gets the background color.

Returns:
  the background color

### getForegroundColor

IColorConstant getForegroundColor()
Gets the foreground color.

Returns:
  the foreground color

### getTextColor

IColorConstant getTextColor()
Gets the text color.

Returns:
  the text color

### setBackgroundColor

void setBackgroundColor(IColorConstant color)
Sets the background color.

Parameters:
  `color` - the new background color

### setForegroundColor

void setForegroundColor(IColorConstant color)
Sets the foreground color.

Parameters:
  `color` - the new foreground color

### setTextColor

void setTextColor(IColorConstant color)
Sets the text color.

Parameters:
  `color` - the new text color

### getTransparency

double getTransparency()
Gets the transparency.

Returns:
  the transparency

### setTransparency

void setTransparency(double transparency)
Sets the transparency.

Parameters:
  `transparency` - the new transparency